Bug 191338 - [PATCH] devel/boehm-gc: update to 7.4.2
Summary: [PATCH] devel/boehm-gc: update to 7.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-24 12:07 UTC by Carlos J Puga Medina
Modified: 2014-07-08 20:02 UTC (History)
1 user (show)

See Also:


Attachments
boehm-gc-7.4.2.diff (2.27 KB, patch)
2014-06-24 12:07 UTC, Carlos J Puga Medina
no flags Details | Diff
boehm-gc-7.4.2.diff (3.48 KB, patch)
2014-07-08 09:54 UTC, Carlos J Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2014-06-24 12:07:32 UTC
Created attachment 144096 [details]
boehm-gc-7.4.2.diff

- Update to 7.4.2
- Add dependency on libatomics_ops
- Fix LICENSE
- Fix pkg-plist
- Take maintainership
Comment 1 Carlos J Puga Medina 2014-07-04 20:30:00 UTC
Any update on this?
Comment 2 Adam Weinberger freebsd_committer 2014-07-08 03:07:59 UTC
I'll take this.
Comment 3 Adam Weinberger freebsd_committer 2014-07-08 03:27:59 UTC
Couple issues.

1) Do we really need to install .la files? Why not just add USES=libtool? Additionally, USE_AUTOTOOLS=libtool is deprecated; you can
   USE_LIBTOOL=aclocal autoconf libtoolize
instead.

2) Packaging is broken with DOCS disabled. (check make check-plist)

3) Rather than stripping things manually in post-install:, could you just set INSTALL_TARGET=install-strip? That works for many autoconf ports...
Comment 4 Adam Weinberger freebsd_committer 2014-07-08 03:31:13 UTC
Oh, and

4) What is up with your patch?
--- Makefile.orig	2014-06-22 21:11:08.000000000 +0200
+++ Makefile.orig	2014-06-22 22:17:25.000000000 +0200

When the to/from are both labelled "Makefile.orig" it means I have to manually edit the patch before it'll apply to the sources in the ports tree.
Comment 5 Carlos J Puga Medina 2014-07-08 09:54:18 UTC
Created attachment 144510 [details]
boehm-gc-7.4.2.diff

Thanks for check it. It was fixed!
Comment 6 commit-hook freebsd_committer 2014-07-08 20:01:45 UTC
A commit references this bug:

Author: adamw
Date: Tue Jul  8 20:00:46 UTC 2014
New revision: 361286
URL: http://svnweb.freebsd.org/changeset/ports/361286

Log:
  Update to 7.4.2, and pass maintainership to submitter.

  PR:		191338
  Submitted by:	Carlos Jacobo Puga Medina

Changes:
  head/devel/boehm-gc/Makefile
  head/devel/boehm-gc/distinfo
  head/devel/boehm-gc/pkg-plist
Comment 7 Adam Weinberger freebsd_committer 2014-07-08 20:02:51 UTC
Thank you for reworking the patch! Committed with just a small modification to the documentation installation section.